/*
 * Copyright  2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 *  
 */
package com.sunlabs.archsim.fleet.common;

import com.sunlabs.archsim.base.simulation.Delay;
import com.sunlabs.archsim.globals.GlobalDefaults;
import com.sunlabs.archsim.globals.Globals;

/** Vacuous function used to acknowldge that the action has fired */ 
public class CommonAckFunction extends OutputFunction {

		/** Global settings */
		protected Globals globals= Globals.getInstance();
		
		public CommonAckFunction() {
			super("CommonAckFunction");
			Integer fDelay= globals.intValue(GlobalDefaults.ACK_DELAY);
			functionDelay= (fDelay != null)
					? new Delay(fDelay.intValue())
					: GlobalDefaults.ACK_DELAY_DEF;
		}
		
		public CommonAckFunction(String name) {
			super(name);
			Integer fDelay= globals.intValue(GlobalDefaults.ACK_DELAY);
			functionDelay= (fDelay != null)
					? new Delay(fDelay.intValue())
					: GlobalDefaults.ACK_DELAY_DEF;
		}
		

		public Data value() {
			return new Data();
		} // value
		
} // CommonAckFunction
