/**
 * Copyright 2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 */
package com.sunlabs.archsim.fleet.components.trunk;

import com.sunlabs.archsim.base.simulation.Delay;

/**
 * @author ib27688
 *
 */
public class TrunkDefaults {
	private TrunkDefaults() {}
	
	public static final String TRUNK_ARBITER_DELAY= "trunkArbiterDelay";
	public static final Delay TRUNK_ARBITER_DELAY_DEF= new Delay(10);
	
	// copy delay in addition to arbitration
	public static final String TRUNK_COPY_DELAY= "trunkCopyDelay";
	public static final Delay TRUNK_COPY_DELAY_DEF= new Delay(0);
	
	// ack delay - to confirm data has been copied, arbitration done
	public static final String TRUNK_ACK_DELAY= "trunkAckDelay";
	public static final Delay TRUNK_ACK_DELAY_DEF= new Delay(0);
		
	public static final String BYPASS_IN= "BypassIn";
	public static final String ACK_BYPASS_IN= "ackBypassIn";
	
	public static final String FABRIC_IN= "FabricIn";
	public static final String ACK_FABRIC_IN= "ackFabricIn";
	
		
} // TrunkDefaults
