package com.sunlabs.archsim.fleet.ships.accumulator;

/*
 * Copyright ? 2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 *  
 */

import com.sunlabs.archsim.base.simulation.Delay;
import com.sunlabs.archsim.fleet.common.Data;
import com.sunlabs.archsim.fleet.common.OutputFunction;
import com.sunlabs.archsim.globals.Globals;

/** Vacuous function used to acknowldge that the action has fired */ 
class AckFunction extends OutputFunction {

	/** Global settings */
	protected Globals globals= Globals.getInstance();
	
	public AckFunction() {
		super("AckFunction");
		Integer fDelay= globals.intValue(AccumulatorDefaults.ACCUMULATOR_ACK_DELAY);
		functionDelay= (fDelay != null)
				? new Delay(fDelay.intValue())
				: AccumulatorDefaults.ACCUMULATOR_ACK_DELAY_DEF;
	}
	
	public AckFunction(String name) {
		super(name);
		Integer fDelay= globals.intValue(AccumulatorDefaults.ACCUMULATOR_ACK_DELAY);
		functionDelay= (fDelay != null)
				? new Delay(fDelay.intValue())
				: AccumulatorDefaults.ACCUMULATOR_ACK_DELAY_DEF;
	}
	

	public Data value() {
		return null;
	} // value
	
} // AckFunction